ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021001ClearOSapp-dns - DNS Serverpublic2018-08-04 07:072018-11-08 14:02
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0021001: Make dnsmasq only bind to interface IP's
DescriptionIn order to run Docker/Samba Domain Controller on a LAN IP within ClearOS, dnsmasq needs to be changed to bind on LAN IP's only, otherwise, if you set up a Virtual IP in ClearOS ,dnsmasq will bind to that as well, stopping the Docker/Samba Domain Controller from binding to port 53.

There appear to be two ways of doing this:
For both set "bind-interfaces" in /etc/dnsmasq.conf

Then either:
set listen-address to all the LAN interface basic IP's (including docker interfaces) and loopback - you don't need to bother about WAN IP's. You must exclude virtual IP's.
or:
set "except-interface=" to your list of virtual interfaces e.g. enp2s0f1:0

If you use the "except-interface" solution, you can also create exceptions for all WAN interfaces to ensure this parameter has a value.

Note you cannot use the "interface=" parameter as this will cause dnsmasq to also bind to the virtual IP's.

Also note the "except-interface" method does not allow wildcards so you cannot except *:*

I have not tested with VLANs but I would have thought they'd need to also listen.
TagsNo tags attached.
Attached Files

- Relationships
related to 0022301confirmed Make dnsmasq only bind to interface IP's - always 

-  Notes
(0007731)
NickH (developer)
2018-08-06 02:24

I cannot reproduce the comment about specifying the interfaces with an "interface=" line as it does seem to bind to the specified interfaces only so could be a good option as it is the same as the Samba set of interfaces.
Note you'd need to bind to all LAN/HotLAN interfaces and the docker0 interface (if you want docker/ClearGLASS to use an internal resolver there is a separate bug for this).

- Issue History
Date Modified Username Field Change
2018-08-04 07:07 NickH New Issue
2018-08-04 23:53 pbaldwin Priority normal => low
2018-08-04 23:53 pbaldwin Severity minor => feature
2018-08-04 23:53 pbaldwin Status new => confirmed
2018-08-06 02:24 NickH Note Added: 0007731
2018-11-08 08:45 pbaldwin Priority low => normal
2018-11-08 08:45 pbaldwin Target Version => 7.6.0
2018-11-08 14:01 pbaldwin Issue cloned: 0022301
2018-11-08 14:01 pbaldwin Relationship added related to 0022301
2018-11-08 14:02 pbaldwin Status confirmed => resolved
2018-11-08 14:02 pbaldwin Fixed in Version => 7.6.0
2018-11-08 14:02 pbaldwin Resolution open => fixed
2018-11-08 14:02 pbaldwin Assigned To => pbaldwin